Blender Artists drops support for Internet Explorer 11

Following the upgrade to Discourse 2.6.0beta1 today, Discourse now no longer supports Internet Explorer 11:

Removal of Internet Explorer 11 Support

As we announced in January, this is the last release of Discourse which supports Internet Explorer 11. All future Discourse releases will require a recent version of Microsoft’s newer browser, Edge. To ease this transition, we’ve significantly enhanced our basic, read-only HTML view which we serve to all older browsers.